Package org.h2.jdbc

# Interface JdbcException

All Known Implementing Classes:
  `JdbcSQLDataException`, `JdbcSQLException`, `JdbcSQLFeatureNotSupportedException`, `JdbcSQLIntegrityConstraintViolationException`, `JdbcSQLInvalidAuthorizationSpecException`, `JdbcSQLNonTransientConnectionException`, `JdbcSQLNonTransientException`, `JdbcSQLSyntaxErrorException`, `JdbcSQLTimeoutException`, `JdbcSQLTransactionRollbackException`, `JdbcSQLTransientException`

public interface JdbcException
This interface contains additional methods for database exceptions.

## Method Summary

Modifier and Type
Method
Description
`int`
`getErrorCode()`
Returns the H2-specific error code.
`String`
`getOriginalMessage()`
INTERNAL
`String`
`getSQL()`
Returns the SQL statement.
`void`
`setSQL(String sql)`
INTERNAL
`String`
`toString()`
Returns the class name, the message, and in the server mode, the stack trace of the server

## Method Details

### getErrorCode

int getErrorCode()
Returns the H2-specific error code.

Returns:
  the H2-specific error code

### getOriginalMessage

String getOriginalMessage()
INTERNAL

Returns:
  original message

### getSQL

String getSQL()
Returns the SQL statement.

SQL statements that contain '--hide--' are not listed.

Returns:
  the SQL statement

### setSQL

void setSQL(String sql)
INTERNAL

Parameters:
  `sql` - to set

### toString

String toString()
Returns the class name, the message, and in the server mode, the stack trace of the server

Overrides:
  `toString` in class `Object`
Returns:
  the string representation